module Data.Text.ParagraphLayout.Internal.ProtoRun (ProtoRun (..))
where

import Data.Text.ParagraphLayout.Internal.BiDiLevels
import Data.Text.ParagraphLayout.Internal.Script
import Data.Text.ParagraphLayout.Internal.Zipper

-- | Intermediate structure for creating
-- `Data.Text.ParagraphLayout.Internal.Run.Run` values.
data ProtoRun = ProtoRun
    { zipper :: Zipper
    , followingLevels :: TextLevels
    , level :: Level
    , script :: ScriptCode
    }
